import { createSlice } from '@reduxjs/toolkit';
import { getConfigurationOptionsReducer } from './configuration.reducers';
import { CONFIGURATION_INITIAL_STATE } from './configuration.adapter';

export const configurationSlice = createSlice({
  name: 'configuration',
  initialState: CONFIGURATION_INITIAL_STATE,
  reducers: {},
  extraReducers: builder => {
    getConfigurationOptionsReducer(builder);
  },
});

export default configurationSlice.reducer;
