/* eslint-disable no-magic-numbers */
import { convertDecimalToHex } from './convertDecimalToHex';

describe('convertDecimalToHex - util', () => {
  it('should convert small decimal', () => {
    expect(convertDecimalToHex(57)).toEqual('#000039');
    expect(convertDecimalToHex(0)).toEqual('#000000');
  });

  it('should convert negative decimal', () => {
    expect(convertDecimalToHex(-3342388)).toEqual('#ccffcc');
    expect(convertDecimalToHex(-750)).toBe('#fffd12');
  });
});
