import { createSlice } from '@reduxjs/toolkit';
import {
  getOverlayBioEntityForAllModelsReducer,
  getOverlayBioEntityReducer,
} from './overlayBioEntity.reducers';
import { OverlaysBioEntityState } from './overlayBioEntity.types';

const initialState: OverlaysBioEntityState = {
  overlaysId: [],
  data: [],
};

export const overlayBioEntitySlice = createSlice({
  name: 'overlayBioEntity',
  initialState,
  reducers: {},
  extraReducers: builder => {
    getOverlayBioEntityReducer(builder);
    getOverlayBioEntityForAllModelsReducer(builder);
  },
});

export default overlayBioEntitySlice.reducer;
