import { BACKGROUND_INITIAL_STATE_MOCK } from '../backgrounds/background.mock';
import { BIOENTITY_INITIAL_STATE_MOCK } from '../bioEntity/bioEntity.mock';
import { CHEMICALS_INITIAL_STATE_MOCK } from '../chemicals/chemicals.mock';
import { CONFIGURATION_INITIAL_STATE } from '../configuration/configuration.adapter';
import { initialStateFixture as drawerInitialStateMock } from '../drawer/drawerFixture';
import { DRUGS_INITIAL_STATE_MOCK } from '../drugs/drugs.mock';
import { initialMapStateFixture } from '../map/map.fixtures';
import { MODELS_INITIAL_STATE_MOCK } from '../models/models.mock';
import { OVERLAY_BIO_ENTITY_INITIAL_STATE_MOCK } from '../overlayBioEntity/overlayBioEntity.mock';
import { OVERLAYS_INITIAL_STATE_MOCK } from '../overlays/overlays.mock';
import { PROJECT_STATE_INITIAL_MOCK } from '../project/project.mock';
import { REACTIONS_STATE_INITIAL_MOCK } from '../reactions/reactions.mock';
import { SEARCH_STATE_INITIAL_MOCK } from '../search/search.mock';
import { RootState } from '../store';

export const INITIAL_STORE_STATE_MOCK: RootState = {
  search: SEARCH_STATE_INITIAL_MOCK,
  project: PROJECT_STATE_INITIAL_MOCK,
  drugs: DRUGS_INITIAL_STATE_MOCK,
  chemicals: CHEMICALS_INITIAL_STATE_MOCK,
  models: MODELS_INITIAL_STATE_MOCK,
  bioEntity: BIOENTITY_INITIAL_STATE_MOCK,
  backgrounds: BACKGROUND_INITIAL_STATE_MOCK,
  drawer: drawerInitialStateMock,
  map: initialMapStateFixture,
  overlays: OVERLAYS_INITIAL_STATE_MOCK,
  reactions: REACTIONS_STATE_INITIAL_MOCK,
  configuration: CONFIGURATION_INITIAL_STATE,
  overlayBioEntity: OVERLAY_BIO_ENTITY_INITIAL_STATE_MOCK,
};
